<div class="gmail_quote">On Tue, Nov 8, 2011 at 6:31 PM, dokondr <span dir="ltr">&lt;<a href="mailto:dokondr@gmail.com">dokondr@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

Hi,<br>I am running GHC 6.12.3 at Mac OSX and have numerous problems with &#39;cabal install&#39; of different packages.<br><br></blockquote><div><br></div><div>[...]</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

Questions about current Haskell Platform for OSX  2011.2.0.1. :<br>(<a href="http://hackage.haskell.org/platform/mac.html" target="_blank">http://hackage.haskell.org/platform/mac.html</a>)<br>
<br>1) Where can I find release notes to understand what version of GHC Haskell Platform for OSX  2011.2.0.1 includes? <br></blockquote><div><br></div><div>I couldn&#39;t find a release notes document for Mac OS X but unpacking the .pkg file shows it has GHC 7.0.3.</div>

<div><br></div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">2) Will I be able to install mongoDB-1.1.0 on this release?<br></blockquote><div><br></div>

<div>Hackage shows that mongoDB-1.0.1 has been the latest package compiled with GHC 7.0. For GHC 6.x it&#39;s mongoDB-0.8.1.</div><div><br></div><div>You might have more luck upgrading the Haskell Platform or choosing a older version of mongoDB.</div>

<div><br></div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">3) How to install it into a separate location so it would not ruin my current platform?<br>

<br></blockquote><div><br></div><div> You can install it under a different username.</div></div><div><br></div>-- <br>Giovanni<br><br><br>